apiVersion: v1
kind: ConfigMap
metadata:
  name: imxc-ui-config-jaeger
  namespace: imxc
data:
  properties.file: |
    api.url = {{ .Values.global.SERVELET_URL_PROTOCOL }}://{{ .Values.global.ZUUL_SERVER_IP }}:{{ .Values.global.ZUUL_SERVER_PORT }}
  config.js: |
    window.appEnv = {
        // Env Settings servletURL
        offlineAccess: "{{ .Values.global.OFFLINEACCESS }}",
        backLogin: "{{ .Values.global.BACKLOGIN }}",
        servletURL: "{{ .Values.global.SERVELET_URL_PROTOCOL }}://{{ .Values.global.ZUUL_SERVER_IP }}:{{ .Values.global.ZUUL_SERVER_PORT }}",
        demoServletURL: "{{ .Values.global.DEMO_SERVELET_URL_PROTOCOL }}://{{ .Values.global.ZUUL_SERVER_IP }}:{{ .Values.global.ZUUL_SERVER_PORT }}",
        // Env Settings socketURL
        socketURL: "https://{{ .Values.global.NOTI_SERVER_IP }}:{{ .Values.global.NOTI_SERVER_PORT }}/ui-server-websocket",
        manualURL: "https://{{ .Values.global.CMOA_MANUAL_SERVER_IP }}:{{ .Values.global.CMOA_MANUAL_PORT }}",
        // Env Settings interMaxURL
        interMaxURL: "http://39.115.183.186:8085/intermax?",
        // Env Settings CloudMOA Version
        version: '{{ .Values.global.CLOUDMOA_UI_VERSION }}',
        UI_build_ver: '{{ .Values.global.UI_SERVER_VERSION }}',
        maxSelectionSize: 30,
        loginType: 'keycloak',
        keyCloak: {
             "realm": "{{ .Values.global.KEYCLOAK_REALM }}",
             "auth-server-url": "{{ .Values.global.KEYCLOAK_AUTH_SERVER_URL }}",
             "ssl-required": "none",
             "resource": "{{ .Values.global.KEYCLOAK_RESOURCE }}",
             "public-client": true,
             "confidential-port": 0
           },
        healthIndicatorStateInfo: [
            {
                state: "critical",
                // max: 1.0,
                // over: 0.8,
                max: 100,
                over: 80,
                text: "Critical",
                color: "#ff4040",
                level: 4,
            }, {
                state: "warning",
                // max: 0.8,
                // over: 0.5,
                max: 80,
                over: 50,
                text: "Warning",
                color: "#ffa733",
                level: 3,
            }, {
                state: "attention",
                // max: 0.5,
                // over: 0.0,
                max: 50,
                over: 0,
                text: "Attention",
                // color: "#B4B83D",
                color: "#1cbe85",
                level: 2,
            }, {
                state: "normal",
                max: 0,
                over: 0,
                text: "Normal",
                // color: "#64B87D",
                color: "#24b0ed",
                level: 1,
            },
        ]
    };


